什么是WordPress PHP版本以及为何如此重要

您是否想知道您的 WordPress 网站正在运行在什么版本的PHP环境下?也许您甚至不确定PHP是什么或为什么重要。但是如果您想要有一个安全且快速的网站,就需要了解什么是PHP及其在WordPress中的用法。不仅如此,您可能还想知道如何在WordPress网站上检查正在使用的PHP版本,从而可以确保使用的是否是最新版本。

在今天的文章中,我们将来分享这方面的知识。如果您还不熟悉PHP,可以从头看下去,如果已经有些了解了,可以快速浏览下。

什么是PHP,它是如何工作的?

PHP是一种开放源代码的服务器端编程和脚本语言,用于创建动态(或始终在变化)的网站。简而言之,PHP是可帮助您在网站访问者到达时向其显示网站的代码。

当有人像WordPress网站一样单击具有PHP代码的网页时,该代码将通过您的虚拟主机服务器进行处理,然后转换为HTML,并显示在站点访问者的计算机屏幕上,以供他们查看。并且由于此代码首先通过您的虚拟主机进行处理,因此在网站访问者单击您的网站之前,不会出现任何内容。

您可以在WordPress网站上使用多个PHP版本,但始终建议您使用所有内容中的最新版本–包括PHP。

PHP代码的整洁之处在于,您的网站访问者永远不必担心它。他们要做的就是单击您的站点,然后让他们的Web浏览器完成所有工作。更妙的是,您也不必真正担心PHP。只要您使用的是最新的WordPress PHP版本。

PHP 5与PHP 7

如果您具有有关PHP的任何背景知识,则很可能您知道有几个可用的版本,甚至知道哪些版本可以与WordPress兼容。实际上,根据W3Techs的统计,所有网站(无论是否使用WordPress)中有58.6%使用PHP 5,40.9%使用PHP 7。

问题是,PHP版本不会永远持续下去。他们经历了非常不同的阶段,包括:

  • 发行新版本,并附带安全修复程序和改进功能
  • 2年的全面和积极支持
  • 仅对关键安全问题提供1年的支持
  • 寿命终止并发布新版本(即使仍在使用中,也不再受支持

目前,所有PHP 5版本都已寿终正寝。换句话说,不再为PHP 5提供任何更新支持。

然而,高达39%的WordPress网站所有者 仍在使用某些 PHP 5 版本

随着时间的推移,PHP 7 版本已将不断更新和淘汰。事实上,PHP 7.0 目前还有 14.8% 的WordPress网站正在使用,但是该版本已在今年年初达到了生命的尽头。除此之外,PHP 7.1处于生命周期的关键安全修复阶段,而7.2和7.3版也正朝着这个方向发展。

现在您可能还觉得什么PHP版本都不重要,其实不然,继续往下看。

为什么要使用PHP 7

WordPress 目前还继续支持 PHP 5.6.20+的版本,很多主机商也还在提供 PHP 5 系列,但是为什么要推荐使用PHP 7 ?

将WordPress的PHP版本更新到7.1+的好处:

  • 及时的错误和bug修复,相同的问题不会一再发生
  • WordPress.org倡导使用PHP 7.3
  • 改进的开发人员功能,减少了安全漏洞和性能问题
  • 最重要的是,PHP 7比PHP 5至少快2倍

不信吗?看看Kinsta进行的这项基准研究,亲自体验一下:

所以,您应该知道,更新的PHP版本可以提供网站的负载能力,就意味着更好的用户体验,更高的搜索排名,当然还有增加的潜在客户和销量。

在WordPress中如何使用PHP?

如果您从WordPress.org下载WordPress的最新版本,解压以后会看到大多数核心文件是PHP。

大多数WordPress主题和插件文件也可以这样说。它们主要由PHP文件组成。如此多的PHP文件直接嵌入WordPress核心、主题和插件中,这就是理解WordPress PHP版本及其重要性的原因,这对您的成功至关重要。此外,开发人员可以在PHP中使用函数、钩子、类和方法,从而以无止境的方式扩展您网站的功能,这也是WordPress因为灵活性而大受欢迎的原因。

例如,这是使用WordPress的任何人都可以在使用PHP的网站核心中找到的一些文件:

  • comments.php 文件决定评论部分的外观和功能
  • header.php文件决定网站页眉的外观和功能
  • sidebar.php文件决定了侧边栏区域的外观和功能

最后,如果您希望网站以某种方式为网站访问者提供外观和功能,那么它将需要所有PHP文件协同工作,以便为网站访问者在其网络浏览器中提供正确的HTML输出。

如何在WordPress中检查和更新PHP

使用者不更新其WordPress PHP版本的原因有很多:

  • 他们不知道或不关心使用PHP 7
  • 人们依靠他们的网络主机来处理更新(而且这种情况并非总是会自动发生
  • 开发人员发现更新核心、主题和插件PHP代码既费时又痛苦
  • 兼容性问题可能在更新时出现,许多人竭尽全力避免

也就是说,您确实应该考虑更新PHP版本。

除非您是在站点后端使用大量代码的高级开发人员,否则检查WordPress PHP版本并进行更新确实非常简单。特别是如果您的主机支持手动更新。

步骤1:检查您的WordPress PHP版本

查看您的网站使用哪个版本的PHP的最简单方法是转到 WordPress仪表板中的“ 工具” >“ 站点健康”。然后,单击“ 信息”选项卡。

接下来,向下滚动到“ 服务器”下拉列表,然后查看您的网站正在运行哪个PHP版本。

如果您看到使用的是过时的PHP版本,那么该进行更改了。

步骤2:备份您的站点

在您进入并更新实时站点上的WordPress PHP版本之前,请备份您的网站,确保同时备份站点文件和数据库。这样,如果您遇到白屏或其他一些需要还原站点的问题,则可以。

这是与WordPress备份相关的文章,可以帮助您。

步骤3:搭建本地站点或暂存环境

在上线之前,对本地站点或暂存环境中的网站进行重大更改始终是一个好主意。

当您这样做时,您消除了停机时间。如果出现问题,则不会影响您的实时网站,并且您可以不用担心对其进行修复。

步骤4:检查PHP兼容性

在本地或暂存站点上“更新PHP”后,就该检查兼容性问题了。这将确保您在实际网站上进行任何操作时都不会中断。

为了解决这个问题,请使用PHP兼容性检查器插件。首先选择要测试的PHP版本。您还可以选择测试所有插件和主题,或者仅测试您网站上激活的插件和主题。

接下来,检查兼容性结果。

一旦知道您的插件和主题兼容,就可以进行真正的更新了。

请记住,您在本地站点或暂存站点上遇到的任何问题(最终解决)都会在您的实时站点上进行处理。此步骤只是练习阶段,以确保您不会破坏任何内容。

步骤5:更改WordPress PHP版本

大多数高质量的虚拟主机可以让您在主机帐户中手动更新网站的PHP版本,你只需要在主机管理界面找到PHP版本设置的选项即可进行设置。

如果你使用的是云服务器,说明你应该具备一定的服务器环境配置和管理经验,那就可以根据需要去更新PHP版本。

如果你在使用宝塔面板,那你可以在宝塔面板安装新版本的PHP,然后切换站点使用的PHP版本。具体操作如下:

1、在软件商店中,安装所需的PHP版本,比如 php7.3:

先安装需要的PHP版本

2、然后在 网站 中对应的站点,点击设置,切换到PHP版本选项卡,选择所需的PHP版本,切换即可

然后在网站设置中切换php版本

其他面板环境,请自己到对应的官方网站去获取帮助。

最后的想法

通过阅读文本,您现在知道PHP是什么,为什么使用更新版本很重要,以及如何更改自己的WordPress网站的PHP版本。

如果您还没有购买虚拟主机,建议在购买前先咨询一下主机商,提供哪些PHP版本和MySQL版本。如果打算购买云服务器,那你就需要自己去配置更新的PHP版本。WordPress 5.3+ 将支持PHP 7.4,但是可能有很大部分的主题和插件还不一定支持,所以现在建议使用 PHP 7.2-7.3 更好一些。

倡萌

一个文科IT宅男,喜欢折腾WordPress和被它折腾 ^_^

2 条评论

发表评论